classdef ConfigMode < uint32
  % ConfigMode
  %   Optimized configurations for different use cases
  %

  enumeration
    LONG_RANGE_DYNAMIC_SCENE (1) % Suitable for most applications
    MEDIUM_RANGE_DYNAMIC_SCENE (2) % For fast moving applications
    MEDIUM_RANGE_BALANCED (3) % Balanced between range, speed and accuracy
    SHORT_RANGE_HIGH_SPEED (4) % Maximum speed mode for short range and fast moving applications
    LONG_RANGE_HIGH_RESOLUTION (5) % Full resolution long range
    MEDIUM_RANGE_STATIC_SCENE (6) % Full resolution for slow changing scene
    FAR_OUT_STATIC_SCENE (7) % Full resolution for slow changing scene
  end
end
